PETSc version 3.15.5
Fix/Edit manual page

# TSRHSSplitGetSubTSs

Get an array of all sub-TS contexts.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSRHSSplitGetSubTSs(TS ts,PetscInt *n,TS *subts[])

Logically Collective on TS

### Output Parameters

| n | - the number of splits
| subksp | - the array of TS contexts

### Note

After TSRHSSplitGetSubTS() the array of TSs is to be freed by the user with PetscFree() (not the TS just the array that contains them).

### See Also

TSGetRHSSplitFunction()

### Level

advanced

### Location

src/ts/interface/tsrhssplit.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages